# Class WsPongMessage

java.lang.Object
org.apache.tomcat.websocket.WsPongMessage

All Implemented Interfaces:
  `PongMessage`

public class WsPongMessage extends Object implements PongMessage

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WsPongMessage(ByteBuffer applicationData)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ByteBuffer`
  `getApplicationData()`
  Get the payload of the Pong message.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WsPongMessage

    public WsPongMessage(ByteBuffer applicationData)

- ## Method Details

  - ### getApplicationData

    public ByteBuffer getApplicationData()
    Description copied from interface: `javax.websocket.PongMessage`
    Get the payload of the Pong message.
    Specified by:
      `getApplicationData` in interface `PongMessage`
    Returns:
      The payload of the Pong message.